## com.thingmagic
Enum Gen2.Untraceable.EPC

    java.lang.Object
      java.lang.Enum<Gen2.Untraceable.EPC>
          com.thingmagic.Gen2.Untraceable.EPC

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Untraceable.EPC>

Enclosing class:
  Gen2.Untraceable

    public static enum Gen2.Untraceable.EPC

extends java.lang.Enum<Gen2.Untraceable.EPC>

Gen2v2 untraceably hides part of EPC memory or not

Enum Constant Summary
`HIDE` Tag untraceably hides EPC memory above that set by its EPC length field
`SHOW` Tag exposes EPC memory

Method Summary
`static Gen2.Untraceable.EPC` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Untraceable.EPC[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHOW

    public static final Gen2.Untraceable.EPC SHOW

  Tag exposes EPC memory

### HIDE

    public static final Gen2.Untraceable.EPC HIDE

  Tag untraceably hides EPC memory above that set by its EPC length field

Method Detail

### values

    public static Gen2.Untraceable.EPC[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Untraceable.EPC c : Gen2.Untraceable.EPC.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Untraceable.EPC valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null